## hcxkeys 6.2.0

=== Makefile ===
PRODUCTION		:= 1
PRODUCTION_VERSION	:= 6.2.0
PRODUCTION_YEAR		:= 2021

ifeq ($(PRODUCTION),1)
VERSION_TAG		:= $(PRODUCTION_VERSION)
else
VERSION_TAG		:= $(shell git describe --tags || echo $(PRODUCTION_VERSION))
endif
VERSION_YEAR		:= $(shell echo $(PRODUCTION_YEAR))

PREFIX		?=/usr/local
INSTALLDIR	= $(DESTDIR)$(PREFIX)/bin

HOSTOS := $(shell uname -s)
CC	= gcc
CFLAGS	?= -O3 -Wall -Wextra
CFLAGS	+= -std=gnu99
DEFS	= -DVERSION_TAG=\"$(VERSION_TAG)\" -DVERSION_YEAR=\"$(VERSION_YEAR)\"
INSTFLAGS = -m 0755

ifeq ($(HOSTOS), Linux)
INSTFLAGS += -D
endif

ifeq ($(HOSTOS), Darwin)
CFLAGS += -L/usr/local/opt/openssl/lib -I/usr/local/opt/openssl/include
endif

all: build

build:
	$(CC) $(CFLAGS) $(CPPFLAGS) $(DEFS) -o wlangenpmk wlangenpmk.c -lcrypto $(LDFLAGS)
ifeq ($(HOSTOS), Darwin)
	$(CC) $(CFLAGS) $(CPPFLAGS) $(DEFS) -o wlangenpmkocl wlangenpmkocl.c -lcrypto -Wl,-framework,OpenCL -lm $(LDFLAGS)
else
	$(CC) $(CFLAGS) $(CPPFLAGS) $(DEFS) -o wlangenpmkocl wlangenpmkocl.c -lcrypto -lOpenCL $(LDFLAGS)
endif


install: build
	install $(INSTFLAGS) wlangenpmk $(INSTALLDIR)/wlangenpmk
	install $(INSTFLAGS) wlangenpmkocl $(INSTALLDIR)/wlangenpmkocl
	rm -f wlangenpmk
	rm -f wlangenpmkocl
	rm -f pwhash
	rm -f *.o *~


clean:
	rm -f wlangenpmk
	rm -f wlangenpmkocl
	rm -f *.o *~


uninstall:
	rm -f $(INSTALLDIR)/wlangenpmk
	rm -f $(INSTALLDIR)/wlangenpmkocl

=== debian/changelog ===
hcxkeys (6.2.0-3) unstable; urgency=medium

  * d/rules: Remove build time manpage generation.
  * Include manpages.
  * d/p/10-fix-makefile-cross-compile.patch:
      - Rename patch file.
      - Improve to fix FTBFS KfreeBSD.

 -- Paulo Roberto Alves de Oliveira (aka kretcheu) <kretcheu@gmail.com>  Tue, 28 Dec 2021 09:52:00 -0300

hcxkeys (6.2.0-2) unstable; urgency=medium

  * d/copyright: Include Upstream-Contact.

 -- Paulo Roberto Alves de Oliveira (aka kretcheu) <kretcheu@gmail.com>  Fri, 10 Dec 2021 15:19:00 -0300

hcxkeys (6.2.0-1) unstable; urgency=medium

  * Initial release (Closes: #996701)

 -- Paulo Roberto Alves de Oliveira (aka kretcheu) <kretcheu@gmail.com>  Sun, 17 Oct 2021 09:43:00 -0300

=== debian/control ===
Source: hcxkeys
Section: net
Priority: optional
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders: Paulo Roberto Alves de Oliveira (aka kretcheu) <kretcheu@gmail.com>,
           Ulises Vitulli <dererk@debian.org>
Build-Depends: debhelper-compat (= 13),
               help2man,
               libssl-dev,
               opencl-dev,
               opencl-headers,
               openssl
Standards-Version: 4.6.0
Homepage: https://github.com/ZerBea/hcxkeys
Vcs-Browser: https://salsa.debian.org/pkg-security-team/hcxkeys
Vcs-Git: https://salsa.debian.org/pkg-security-team/hcxkeys.git
Rules-Requires-Root: no

Package: hcxkeys
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Tools to generate plainmasterkeys (rainbowtables)
 Small set of tools to generate plainmasterkeys (rainbowtables) and hashes for
 the use with latest hashcat and latest John the Ripper.
 .
 The package provides two binaries:
 - wlangenpmk for CPU calculations.
 - wlangenpmkocl for GPU calculations.
 .
 In order to use the GPU, the correspondent OpenCL drivers for your GPU model
 should be installed.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -pie
export DEB_CFLAGS_MAINT_APPEND = -fPIE

export PREFIX = /usr

-include /usr/share/dpkg/buildtools.mk

ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
    export CC ?= $(DEB_HOST_GNU_TYPE)-
endif

%:
	dh $@

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/" \
https://github.com/ZerBea/hcxkeys/releases .*/tags/v?@ANY_VERSION@@ARCHIVE_EXT@

## hcxkeys 6.2.1

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 PRODUCTION		:= 1
-PRODUCTION_VERSION	:= 6.2.0
-PRODUCTION_YEAR		:= 2021
+PRODUCTION_VERSION	:= 6.2.1
+PRODUCTION_YEAR		:= 2022
 
 ifeq ($(PRODUCTION),1)
 VERSION_TAG		:= $(PRODUCTION_VERSION)
@@ -13,7 +13,7 @@
 INSTALLDIR	= $(DESTDIR)$(PREFIX)/bin
 
 HOSTOS := $(shell uname -s)
-CC	= gcc
+CC	?= gcc
 CFLAGS	?= -O3 -Wall -Wextra
 CFLAGS	+= -std=gnu99
 DEFS	= -DVERSION_TAG=\"$(VERSION_TAG)\" -DVERSION_YEAR=\"$(VERSION_YEAR)\"

=== debian/changelog ===
hcxkeys (6.2.1-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:53:06 +1100

hcxkeys (6.2.1-2build1) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 18:11:14 +0000

hcxkeys (6.2.1-2) unstable; urgency=medium

  * debian/watch: fix url to https://github.com/ZerBea/hcxkeys/tags.

 -- Paulo Roberto Alves de Oliveira (aka kretcheu) <kretcheu@gmail.com>  Thu, 20 Oct 2022 18:07:00 -0300

hcxkeys (6.2.1-1) unstable; urgency=medium

  * New upstream version 6.2.1.
  * d/copyright: Update dates.
  * d/patchs/*: Remove all patches they have been merged upstream.

 -- Paulo Roberto Alves de Oliveira (aka kretcheu) <kretcheu@gmail.com>  Sat, 30 Apr 2022 13:12:00 -0300

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: hcxkeys
 Section: net
 Priority: optional
-Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders: Paulo Roberto Alves de Oliveira (aka kretcheu) <kretcheu@gmail.com>,
            Ulises Vitulli <dererk@debian.org>
 Build-Depends: debhelper-compat (= 13),

=== debian/tests/control ===
Tests: genpmk
Restrictions: allow-stderr
Depends: @
